Package org.apache.commons.imaging.formats.tiff.constants

# Enum TiffDirectoryType

java.lang.Object
java.lang.Enum<TiffDirectoryType>
org.apache.commons.imaging.formats.tiff.constants.TiffDirectoryType

All Implemented Interfaces:
  `Serializable`, `Comparable<TiffDirectoryType>`

public enum TiffDirectoryType extends Enum<TiffDirectoryType>

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `EXIF_DIRECTORY_EXIF_IFD`
  `EXIF_DIRECTORY_GPS`
  `EXIF_DIRECTORY_INTEROP_IFD`
  `EXIF_DIRECTORY_MAKER_NOTES`
  `TIFF_DIRECTORY_IFD0`
  `TIFF_DIRECTORY_IFD1`
  `TIFF_DIRECTORY_IFD2`
  `TIFF_DIRECTORY_IFD3`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final int`
  `directoryType`
  `static final TiffDirectoryType`
  `EXIF_DIRECTORY_IFD0`
  `static final TiffDirectoryType`
  `EXIF_DIRECTORY_IFD1`
  `static final TiffDirectoryType`
  `EXIF_DIRECTORY_IFD2`
  `static final TiffDirectoryType`
  `EXIF_DIRECTORY_IFD3`
  `static final TiffDirectoryType`
  `EXIF_DIRECTORY_SUB_IFD`
  `static final TiffDirectoryType`
  `EXIF_DIRECTORY_SUB_IFD1`
  `static final TiffDirectoryType`
  `EXIF_DIRECTORY_SUB_IFD2`
  `static final TiffDirectoryType`
  `EXIF_DIRECTORY_UNKNOWN`
  `final String`
  `name`
  `static final TiffDirectoryType`
  `TIFF_DIRECTORY_ROOT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TiffDirectoryType`
  `getExifDirectoryType(int type)`
  `boolean`
  `isImageDirectory()`
  `static TiffDirectoryType`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static TiffDirectoryType[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### TIFF_DIRECTORY_IFD0

    public static final TiffDirectoryType TIFF_DIRECTORY_IFD0

  - ### TIFF_DIRECTORY_IFD1

    public static final TiffDirectoryType TIFF_DIRECTORY_IFD1

  - ### TIFF_DIRECTORY_IFD2

    public static final TiffDirectoryType TIFF_DIRECTORY_IFD2

  - ### TIFF_DIRECTORY_IFD3

    public static final TiffDirectoryType TIFF_DIRECTORY_IFD3

  - ### EXIF_DIRECTORY_INTEROP_IFD

    public static final TiffDirectoryType EXIF_DIRECTORY_INTEROP_IFD

  - ### EXIF_DIRECTORY_MAKER_NOTES

    public static final TiffDirectoryType EXIF_DIRECTORY_MAKER_NOTES

  - ### EXIF_DIRECTORY_EXIF_IFD

    public static final TiffDirectoryType EXIF_DIRECTORY_EXIF_IFD

  - ### EXIF_DIRECTORY_GPS

    public static final TiffDirectoryType EXIF_DIRECTORY_GPS

- ## Field Details

  - ### EXIF_DIRECTORY_IFD0

    public static final TiffDirectoryType EXIF_DIRECTORY_IFD0

  - ### TIFF_DIRECTORY_ROOT

    public static final TiffDirectoryType TIFF_DIRECTORY_ROOT

  - ### EXIF_DIRECTORY_IFD1

    public static final TiffDirectoryType EXIF_DIRECTORY_IFD1

  - ### EXIF_DIRECTORY_IFD2

    public static final TiffDirectoryType EXIF_DIRECTORY_IFD2

  - ### EXIF_DIRECTORY_IFD3

    public static final TiffDirectoryType EXIF_DIRECTORY_IFD3

  - ### EXIF_DIRECTORY_SUB_IFD

    public static final TiffDirectoryType EXIF_DIRECTORY_SUB_IFD

  - ### EXIF_DIRECTORY_SUB_IFD1

    public static final TiffDirectoryType EXIF_DIRECTORY_SUB_IFD1

  - ### EXIF_DIRECTORY_SUB_IFD2

    public static final TiffDirectoryType EXIF_DIRECTORY_SUB_IFD2

  - ### EXIF_DIRECTORY_UNKNOWN

    public static final TiffDirectoryType EXIF_DIRECTORY_UNKNOWN

  - ### directoryType

    public final int directoryType

  - ### name

    public final String name

- ## Method Details

  - ### values

    public static TiffDirectoryType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static TiffDirectoryType valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getExifDirectoryType

    public static TiffDirectoryType getExifDirectoryType(int type)

  - ### isImageDirectory

    public boolean isImageDirectory()